:root {
    --Negro: #000000;
    --Blanco: #ffffff;
    --Azul: #03358f;
    --Verde: #026A22;
    --Rojo: #C80000;

    --HdrAzul: #282828;
    --bgScroll: #E8E6E6;
    --bgBloqueo: rgba(200,200,200,.7);

    --bgMain: #f3f3f3;
    --bgInput: #eaeaea;

}

* {
    font-size: 14px;
    font-family: Helvetica, Arial, sans-serif;
    box-sizing: border-box;
}

/*----------- Scrollbar -----------*/
::-webkit-scrollbar { width: .3rem; }
::-webkit-scrollbar-track { background: var(--bgScroll); }
::-webkit-scrollbar-thumb { background: var(--bgScroll); }
::-webkit-scrollbar-thumb:hover { background: var(--HdrAzul); }
/*---------------------------------*/

body {
    background-color: var(--bgMain);
    margin: 0;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    z-index: 0;
}

.AreaForm {
    position: fixed;
    top: 2%;
    left: 35%;
    height: 96%;
    width: 30%;
    background-color: var(--Blanco);
    border: 2px solid var(--bgInput);
    border-radius: .7rem;
    padding: 1rem;
    z-index: 3;
    overflow: hidden;
    box-sizing: border-box;

    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto 1fr auto;
}

.AreaFormM {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: var(--Blanco);
    padding: 1rem;
    z-index: 3;
    overflow: hidden;
    box-sizing: border-box;

    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto 1fr auto;
}

    .HeadForm {
        text-align: center;
    }

        .HeadForm img {
            margin-top: 1rem;
            width: 46%;
        }

    .MidForm {
        padding-top: 5rem;
        text-align: center;
    }

        .MidForm input {
            margin-bottom: 1rem;
            margin-left: 10%;
            display: block;
            padding: .4rem;
            text-align: center;
            border: none;
            outline: none;
            width: 80%;
            font-size: 1.2rem;
            color: var(--Negro);
            background-color: var(--bgInput);
        }

        .MidForm span {
            display: block;
            width: 90%;
            margin-left: 5%;
            margin-bottom: .5rem;
            text-align: center;
            color: #525252;
            font-size: 1.1rem;
        }

    .BotonLogin {
        display: block;
        margin-top: 4rem;
        margin-left: 20%;
        width: 60%;
        font-size: 1.2rem;
        background-color: #282828;
        border: 1px solid #282828;
        color: var(--Blanco);
        text-align: center;
        border-radius: .3rem;
        padding: .7rem;
    }

        .BotonLogin:hover {
            cursor: pointer;
            background-color: var(--bgMain);
            color: var(--Negro);
        }

    .FootForm {
        text-align: center;
    }

        .FootForm span {
            display: block;
            width: 90%;
            margin-left: 5%;
            text-align: center;
            color: #525252;
            font-size: .9rem;
            margin-bottom: 1rem;
        }



.DivBloqueo {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: var(--bgBloqueo);
    z-index: 9;
}

    .loader {
        position: fixed;
        top: calc(35% - 2.5vh);
        left: calc(50% - 2.5vh);
        width: 5vh;
        aspect-ratio: 1;
        display: grid;
        border-radius: 50%;
        background:
        linear-gradient(0deg ,rgb(0 0 0/50%) 30%,#0000 0 70%,rgb(0 0 0/100%) 0) 50%/8% 100%,
        linear-gradient(90deg,rgb(0 0 0/25%) 30%,#0000 0 70%,rgb(0 0 0/75% ) 0) 50%/100% 8%;
        background-repeat: no-repeat;
        animation: l23 1s infinite steps(12);
    }
        .loader::before,
        .loader::after {
            content: "";
            grid-area: 1/1;
            border-radius: 50%;
            background: inherit;
            opacity: 0.915;
            transform: rotate(30deg);
        }

        .loader::after {
            opacity: 0.83;
            transform: rotate(60deg);
        }

        @keyframes l23 {
            100% {transform: rotate(1turn)}
        }

.Avisos {
    position: fixed;
    top: 0;
    left: 40%;
    width: 20%;
    height: auto;
    padding-top: 1.5rem;
    text-align: center;
    border: none;
    background-color: none;
    z-index: 99;
}

.AvisosM {
    position: fixed;
    top: 0;
    left: 10%;
    width: 80%;
    height: auto;
    padding-top: 1.5rem;
    text-align: center;
    border: none;
    background-color: none;
    z-index: 99;
}

    .UnAviso {
        display: block;
        border-radius: .7rem;
        padding: 1rem;
        margin-top: .3rem;
        margin-bottom: .3rem;
        background-color: var(--Verde);
        border: none;
        color: var(--Blanco);
        font-weight: bold;
        text-align: center;
        animation-name: desaparece;
        animation-duration: 2.5s;
        opacity: 0;
    }

    .AvisoError {
        display: block;
        border-radius: .7rem;
        padding: 1rem;
        margin-top: .3rem;
        margin-bottom: .3rem;
        background-color: var(--Rojo);
        border: none;
        color: var(--Blanco);
        font-weight: bold;
        text-align: center;
        animation-name: desaparece;
        animation-duration: 2.5s;
        opacity: 0;
    }

    @keyframes desaparece {
        0%   {opacity:100;}
        70%  {opacity:100;}
        100% {opacity:0;}
    }